gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.StateTypeGType)) An enumeration used to indicate the visual state of a .

This enumeration is used to indicate the current state of a widget; the state determines how the widget is draw.

This enumeration is also used to identify different colors in a for drawing, so states can be used for subparts of a widget as well as entire widgets.

- Field
  2.12.0.0
  Gtk.StateType State of a currently active widget, such as a depressed button.

  State of a currently active widget, such as a depressed button.

- Field
  2.12.0.0
  Gtk.StateType State indicating that the widget is unresponsive to user actions.

  State indicating that the widget is unresponsive to user actions.

- Field
  2.12.0.0
  Gtk.StateType State during normal operation.

  State during normal operation.

- Field
  2.12.0.0
  Gtk.StateType State indicating that the mouse pointer is over the widget and the widget will respond to mouse clicks.

  State indicating that the mouse pointer is over the widget and the widget will respond to mouse clicks.

- Field
  2.12.0.0
  Gtk.StateType State of a selected item, such the selected row in a list.

  State of a selected item, such the selected row in a list.